package com.crm.rely.backend.core.dto.sales;

import com.crm.rely.backend.core.dto.base.BaseInfoDto;
import lombok.Data;


@Data
public class SalesPerformanceInfoDto extends BaseInfoDto {

    private Integer salesType;

    private String salesTypeName;

    private Long salesId;

    private String salesName;

    private String salesNo;
    /**
     * 月度净入金
     */
    private Float pureDeposit;

    private Float pureDepositGoal;
    /**
     * 月度毛入金
     */
    private Float totalDeposit;

    private Float totalDepositGoal;
    /**
     * 月度团队净入金
     */
    private Float teamPureDeposit;

    private Float teamPureDepositGoal;
    /**
     * 月度团队毛入金
     */
    private Float teamTotalDeposit;

    private Float teamTotalDepositGoal;
    /**
     * 月度团队新增代理数
     */
    private Integer freshAgentAmount;

    private Integer freshAgentAmountGoal;
    /**
     * 月度团队新增直客数
     */
    private Integer freshCustomAmount;

    private Integer freshCustomAmountGoal;

    public static SalesPerformanceInfoDto getInstance(){
        SalesPerformanceInfoDto dto = new SalesPerformanceInfoDto();
        dto.setPureDeposit(0F);
        dto.setTotalDeposit(0F);
        dto.setTeamPureDeposit(0F);
        dto.setTeamTotalDeposit(0F);
        dto.setFreshAgentAmount(0);
        dto.setFreshCustomAmount(0);

        dto.setPureDepositGoal(0F);
        dto.setTotalDepositGoal(0F);
        dto.setTeamPureDepositGoal(0F);
        dto.setTeamTotalDepositGoal(0F);
        dto.setFreshAgentAmountGoal(0);
        dto.setFreshCustomAmountGoal(0);
        return dto;
    }

}
